# Das Handbuch zu &konsole;

Jonathan
Singer

    jsinger@leeta.net

Stephan
Binner

    Stephan.Binner@gmx.de

Betreuer
Michael
McBride
Korrektur

    mmcbride@ematic.com

Lauri
Watts
Korrektur

    lauri@kde.org

Stefan
Doll

    sdoll4@yahoo.com

Deutsche Übersetzung
2000
2001
2002
Jonathan Singer
&FDLNotice;
2002-10-05
1.20.00

Dies ist das Handbuch zu &konsole;.

&konsole; ist ein X Window-Terminalemulator für &kde;.

KDE
konsole
kdebase
command
line

## Einführung zu &konsole;

### Was ist ein Terminal?

&UNIX;-Betriebssysteme wurden ursprünglich als textbasierte Systeme entwickeltund über die Befehlszeile bedient. Mittlerweile stellen &X-Window; und &kde; einegraphische Bedienoberfläche zur Verfügung. Die Befehlszeile kann aber weiterhin benutzt werden und bleibt für viele Aufgaben die einfachste,schnellste und bequemste Lösung.

&konsole; ist ein so genannter X-Terminal-Emulator, oft auch als Terminal oder Shell bezeichnet.Es stellt einen traditionelles textorientierten Zugang zum Betriebssystem bereit, kann sich abergleichzeitig den Bildschirm mit graphischen Anwendungen teilen. Windows-Benutzer ist dieses Konzept vielleicht durch die MS-DOS Befehlszeile bekannt, die eine ähnliche Funktion bereitstellt: eine DOS-Befehlszeile unter &Windows;. (Die &UNIX;-Befehlszeile ist allerdings sehr viel mächtiger, und bedienerfreundlicher als DOS.)

Dieses Dokument kann leider nicht auf die Bedienung der &UNIX;-Shell eingehen. Die vielen Möglichkeiten zu beschreiben, würde ein umfangreiches Buch erfordern. Es gibt aber viele solche Bücher, sie sind problemlos in Büchereien und Bibliotheken zu erhalten (normalerweise unter dem Stichwort "Shell" oder "Terminal"). Auch im Internet lassen sich entsprechende Anleitungen finden.Es lohnt sich den Umgang mit der Befehlszeile zu erlernen - schon mit Grundkenntnissen in diesem Bereich, lässt sich der Umgang mit ihrem Computer deutlich angenehmer und effizienter gestalten.

### Was ist das Besondere an &konsole; ?

&konsole; ist einfach zu konfigurieren, und erlaubt es mehrere Shells in einem einzigen Fenster zu verwalten.

Mittels &konsole; können folgende Anwendungen geöffnet werden:

- &Linux;-Konsole-Sitzungen

- Shell-Sitzungen

- Terminal-Programm Screen-Sitzung

- Midnight Commander Dateimanager

- Root-Konsole Sitzung

- Root Midnight Commander Dateimanager

Die Sitzungen können umbenannt werden, um sie leichter zu überschauen. Und Signale (STOP, CONT, HUP, INT, TERM, KILL) können den Sitzungen gesandt werden.

Das Erscheinungsbild von &konsole; kann nach Wunsch des Benutzers gestaltet werden:

- Menüleiste, Werkzeugleiste und Rahmen anzeigen/abschalten

- Größe des &konsole;-Fensters, Zeichensatz, Farbschemata, und Tastaturzuordnung bestimmen

- Anordnung der Bildlaufleiste verändern oder die Bildlaufleiste abschalten

Alle Einstellungen können als Voreinstellungen gespeichert werden.

Gebräuchliche X Terminalemulatoren basieren auf zwei frei verfügbaren Programmen: xterm, dem Original, und xvt, einer leichtgewichtigeren Alternative. Die Basis für die meisten anderen X Terminalemulatoren (z.B. eterm) ist xvt.

&konsole; ist keine Weiterentwicklung von xterm.Stattdessen wurde &konsole; mit Hilfe moderner Methoden vollständig neu entwickelt.

## Bedienung von &konsole;

### Start des Programms

Wenn &konsole; aufgerufen wird, so wird automatisch auch eine Anwendung (normalerweise eine &UNIX;-Shell) gestartet. Mit dieser kann sofort gearbeitet werden.

&konsole; Screen
&konsole; Screen

Beim Start kann ein "Tipp des Tages..."-Fenster angezeigt werden, das Hinweise zur Bedienung von &konsole;.bereitstellt.Sollten sie diese Hinweise nicht erhalten wollen, deaktivieren sie das Tipps nach Start anzeigen-Kästchen.

### Entwicklung von Terminalemulatoren

Text, der nicht mehr im Konsole-Fenster dargestellt ist, lässt sich mit Hilfe der Bildlaufleiste (= scroll bar) wieder sichtbar machen. Wenn die Option Verlaufsspeicher eingeschaltet ist.) Die Bildlaufleiste lässt sich mit dem Mauszeiger, dem Mausrad und auch mit Tastenkombinationen bewegen: &Umschalt;Bild Aufwärts (eine Seite nach oben), &Umschalt;Bild Abwärts (eine Seite nach unten), &Umschalt;Pfeil oben (eine Zeile nach oben) und &Umschalt;Pfeil unten (eine Zeile nach unten)

### Maustasten

Linke Taste

  Ein Klick der linken Taste wird an die Anwendung weitergeleitet. &konsole; benutzt einen Pfeil als Mauszeiger, wenn das Anwendungsprogramm über Mausunterstützung verfügt. Andernfalls wird ein senkrechter Balken (ein Textzeiger) dargestellt.

  Druck auf die linke Taste und anschließendes Bewegen der Maus (=ziehen) markiert einen Textabschnitt. Der ausgewählte Text wird dabei invertiert dargestellt. Mit der Funktion Kopieren im Menü Bearbeiten kann der markierte Text in die Zwischenablage kopiert werden, und dann in &konsole; oder einer anderen Anwendung verwendetwerden.Es ist außerdem möglich den Text direkt in ein anderes Anwendungsprogramm zu kopieren.Dazu muss der Text zunächst markiert werden, anschließend wird der markierte Text angeklickt, und dann, mit gedrückt bleibender Maustaste, in das andere Programm gezogen. (Je nach &kde;-Einstellungen muss dabei noch die &Umschalt;-Tastefestgehalten werden).

  Normalerweise werden Zeilenumbrüche des markierten Textes mitkopiert. Das ist sinnvoll für Quelltext (von Programmiersprachen) oder die Ausgabe bestimmter Befehle, aber für gewöhnlichen Text wäre eine Auswahl ohne Zeilenumbrüche günstiger. Eine solche Auswahl lässt sich durch gleichzeitiges Drücken der &Strg;-Taste während des Markiervorgangs erzeugen.

  Ein Doppelklick mit der linken Maustaste markiert ein Wort - ein Dreifachklick markiert eine ganze Zeile.

  Wird während dem Markieren, der Mauszeiger auf den oberen oder unteren Rand des Textfelds bewegt, dann ergibt sich ein Effekt wie beim Bewegen der Bildlaufleiste.&konsole; zeigt dann Text weiter oben, bzw. weiter unten, im Verlaufsspeicher an.Dieses Rollen durch den Verlaufsspeicher endet, sowie die Mausbewegung beendet wird.

  Wenn die Maustaste losgelassen wird, bleibt der ausgewählte Textabschnitt markiert (=invertierte Darstellung). Die Markierung wird aufgehoben, wenn die Zwischenablage verändert wird, wenn eine Änderung des markierten Textes erfolgt oder wenn die linke Maustaste betätigt wird.

  Bei Anwendungsprogrammen mit Mausbenutzung (zum Beispiel Midnight Commander) muss zusätzlich die &Umschalt;-Taste betätigt werden, um Text auszuwählen.

Mittlere Taste

  Klicken der mittleren Maustaste, fügt Text aus der Zwischenablage ein. Wird dabei die &Strg;-Taste betätigt, dann wird zusätzlich ein Zeilenumbruch an &konsole; weitergegeben - als ob anschließend die Eingabe-Taste betätigt, worden wäre.

  Ist lediglich eine Maus mit zwei Tasten vorhanden, so kann die mittlere Taste, durch gleichzeitiges betätigen der rechten und linken Maustaste emuliert werden.

Rechte Taste

  Gedrückthalten der rechten Maustaste aktiviert ein Menü mit den Optionen Menüleiste anzeigen, Kopieren, Einfügen, Signal senden, Sitzung verselbständigen,Sitzung umbenennen..., Lesezeichen, Einstellungen und Sitzung schließen . Die Kombination von &Strg; rechter Maustaste aktiviert das Sitzungsmenü.

### Menüleiste

Die Menüleiste befinden sich an der oberen Kante des &konsole;-Fensters. Sie lässt sich durch Ändern der Einstellung Menüleiste anzeigen unsichtbar bzw. wieder sichtbar machen. Wenn die Menüleiste unsichtbar ist, so lässt sich die Einstellung Menüleiste anzeigen über ein Menü erreichen, das durch Klicken der rechten Maustaste angezeigt wird. Die gleiche Funktion lässt sich durch Betätigen der Tastenkombination &Alt;&Strg;M erreichen.

#### Sitzungsmenü

Sitzung Neue Shell

  Startet eine neue Sitzung mit einer Shell. Die Tastenkombination &Alt;&Strg;N kann ebenfalls benutzt werden, das wird weiter unten noch detailliert beschrieben.

Sitzung Neue Linux-Konsole

  Öffnet eine neue Sitzung in der ein textbasiertes &Linux;-System emuliert wird.

  In der Datei `README.linux.console` des &konsole;-Quellcodes,wird detailliert beschrieben, wie sich diese &Linux;-Konsole von einer typischen &UNIX;-Konsole unterscheidet.

Sitzung Neuer Midnight Commander

  Öffnet eine neue Sitzung mit dem Dateimanager Midnight Commander.

Sitzung Neue Konsole für Benutzer root

  Öffnet eine neue Sitzung mit einer Shell,als Superuser (root).

  Dabei wird zunächst das root-Passwort abgefragt, und danach die root-Shell geöffnet. Der root-Prompt # zeigt an, dass der Benutzer mit Superuser-Privilegien arbeitet. Das ist oft notwendig, zum Beispiel um neue Software zu installieren und andere Systemverwaltungsaufgaben auszuführen. Dabei ist allerdings Vorsicht angebracht, denn es ist dann möglich das System durch eine Fehlbedienung zu beschädigen.

Sitzung Neuer Midnight Commander für Benutzer root

  Öffnet eine neue Sitzung mit dem Dateimanager Midnight Commander als Superuser.root.

  Dabei wird zunächst das root-Passwort abgefragt, und danach die root-Shell geöffnet. Derroot-Prompt # zeigt an, dass der Benutzer mit Superuser-Privilegien arbeitet.Das ist oft notwendig, allerdings Vorsicht angebracht, denn es ist dann möglich das System durch eine Fehlbedienung zu beschädigen.

Sitzungen Neue Sitzung des Terminal-Programms Screen

  Startet eine neue Sitzung mit dem Programm Screen, einem virtuellen Terminal-Manager. Siehe auch ``man` `screen`` .

Sitzung Neue Shell bei Lesezeichen

  Startet eine neue Shell, in dem mit dem Lesezeichen markierten Verzeichnis.

Sitzung Sitzung schließen

  Schließt die aktive Sitzung.

Sitzung Beenden

  Beendet &konsole;, schließt alle Sitzungen und alle Programme die von diesen Sitzungen aus gestartet wurden.

Eine neue Sitzung lässt sich auch mit einer Tastenkombination starten. Per Voreinstellung ist diese Funktion mit der Kombination&Alt;&Strg;N erreichbar. Es ist auch möglich eigene Tastenkombinationen dafür zu definieren, über Einstellungen Kürzel einrichten....

Die `*.keytab` Dateien im Verzeichnis`$`KDEDIR`/share/apps/konsole` bestimmen auch Tastenkürzel.Über Einrichten Tastatur lässt sich eine keytab-Dateiauswählen. Die Datei `README.KeyTab` enthält weitere Informationen über die Einrichtung von Tastenkürzeln.

Die verfügbaren Sitzungstypen können von den hier aufgelisteten abweichen.&konsole; erkennt automatisch die auf ihrem System installierten Anwendungen,und passt die Liste entsprechend an.

Außerdem können mit Hilfe von &kcontrolcenter; Sitzungsarten modifiziert, und neue Arten definiert werden.Über System Konsole.

#### Bearbeiten-Menü

Bearbeiten Kopieren

  Den ausgewählten Text in die Zwischenablage kopieren.

Bearbeiten Einfügen

  Fügt an der Cursor-Position Text von der Zwischenablage ein.

Bearbeiten Signal senden

  Signal senden - sendet das ausgewählte Signal an die aktuelle Shell bzw die Anwendung die mit der neuen Sitzung gestartet wurde.

  Derzeit stehen folgende Signale zur Verfügung:

  STOP | Um einen Prozess anzuhalten
  CONT | (=Continue) Um einen angehaltenen Prozess wieder zu starten
  HUP | (=Hangup) Signalisiert dem Prozess dass der Mutterprozess beendet wurde.
  INT | Signalisiert einen Interrupt von der Tastatur
  TERM | (=Terminate) Fordert den Prozess auf zu Beenden
  KILL | Erzwingt die Prozessbeendigung
  USR1 | benutzerdefiniertes Signal 1
  USR2 | benutzerdefiniertes Signal 2

  Weitere Details sind in den entsprechenden Manual-Seiten verfügbar. Diese lassen sich mit ``man` `7 signal`` anzeigen.

Bearbeiten Terminalinhalt löschen

  Den gesamten Text des Sitzungsfensters löschen.

Bearbeiten Inhalt löschen und Terminal zurücksetzen

  Startet eine neue Sitzung im aktuellen Fenster..

Bearbeiten In Verlaufsspeicher suchen...

  Sucht ein Wort oder einen Textabschnitt im Verlaufsspeicher. Dabei lässt sich auf Wunsch Großschreibung berücksichtigen, reguläre Ausdrücke stehen ebenfalls zur Verfügung. Es ist auch möglich rückwärts zu suchen. Über das Bearbeiten-Menü, lässt sich der &kde;-eigene Editor für reguläre Ausdrücke aufrufen.

Bearbeiten Weitersuchen

  Zum nächsten Suchergebnis weitergehen.

Bearbeiten Frühere suchen

  Zum vorhergehenden Suchergebnis zurückgehen.

Bearbeiten Befehlsablauf speichern unter...

  Speichert den aktuellen Verlaufsspeicher in einer Textdatei.

Bearbeiten Verlaufsspeicher löschen

  Löscht den Verlaufsspeicher für die aktuelle Sitzung.

Bearbeiten Alle Verlaufsspeicher löschen

  Löscht den Verlaufsspeicher für alle Sitzungen.

#### Das Ansicht-Menü

Ansicht Sitzung verselbständigen

Ansicht Sitzung umbenennen...

  Öffnet ein Dialogfenster, das es erlaubt den Namen der aktuellen Sitzung zu verändern. Der Name wird auf dem Sitzungsreiter angezeigt.Das Dialogfenster lässt sich auch mit &Alt;&Strg;S starten.

Ansicht Auf Aktivität überwachen

  Vermerkt, dass die aktuelle Sitzung eine Meldung erzeugt wenn sich etwas ändert. Diese Meldung besteht aus einer leuchtenden Glühbirne, die im Sitzungsreiter angezeigt wird. Das kann nützlich sein, wenn man gerade in einer anderen Sitzung arbeitet. Die Zeit zwischen Aktion und Meldung, kann in den &konsole;-Einstellungen festgelegt werden.

Ansicht Auf Inaktivität überwachen

  Vermerkt, dass die aktuelle Sitzung eine Meldung erzeugt wenn sich für 10 Sekunden nichts ändert. Diese Meldung besteht aus einer kleinen ausgeschalteten Glühbirne, die im Sitzungsreiter angezeigt wird. Das kann von Nutzen sein, wenn man gerade in einer anderen Sitzung arbeitet und auf die Beendigung eines Vorgangs wartet. Der Zeitraum der Inaktivität der nötig ist um eine Meldung zu erzeugen, kann in den &konsole;-Einstellungen festgelegt werden.

Ansicht Eingabedaten an alle Sitzungen senden

  Vermerkt, dass Eingaben in der aktuellen Sitzung an alle Sitzungen weitergegeben werden. Im Sitzungsreiter wird eine Fernsteuerung angezeigt, so dass man nicht vergisst dass diese Option aktiviert ist. Eine Eingabe wie ``rm` `-rf *``, kann gefährlich werden!

Ansicht Sitzung nach links verlegen

  Verschiebt den Sitzungsreiter der aktuellen Sitzung um eine Position nach links.

Ansicht Sitzung nach rechts verlegen

  Verschiebt den Sitzungsreiter der aktuellen Sitzung um eine Position nach rechts.

  Es ist auch möglich mit Hilfe der &Umschalt;Links- und &Umschalt;Rechts -Tasten zwischen den verfügbaren Sitzungen umzuschalten.

Ansicht Sitzungs-Symbole...

  Am Ende des Sitzungsmenüs befindet sich eine Liste der verfügbaren Sitzungen. Mit Hilfe diese Liste lässt sich die aktuelle Sitzung bestimmen.

  Es ist auch möglich mit Hilfe der &Umschalt;Links- und &Umschalt;Rechts -Tasten zwischen den verfügbaren Sitzungen umzuschalten.

#### Lesezeichen-Menü

Lesezeichen Lesezeichen hinzufügen

  Fügt die aktuelle Position zu den Lesezeichen hinzu.

Lesezeichen Lesezeichen bearbeiten

  Bearbeitet die Liste der Lesezeichen.

Lesezeichen Neues Verzeichnis

  Erzeugt ein neues Verzeichnis in der Lesezeichen-Liste.

Die Lesezeichen werden am Ende des Menüs angezeigt. Wird ein Lesezeichen ausgewählt, dann wechselt man zu dessen Position.

Sie können den Lesezeichen-Editor verwenden um manuell URLs wie ssh://user@host oder telnet://host einzutragen. (Solche URLs ermöglichen es Logins auf anderen Maschinen aufzurufen.)

#### Einstellungsmenü

Einstellungen Menüleiste anzeigen

  Zeigt oder verbirgt die Menüleiste.

Einstellungen Werkzeugleiste anzeigen

  Zeigt oder verbirgt die Werkzeugleiste.

Einstellungen Bildlaufleiste

  Bestimmt die Anordnung der Bildlaufleiste: Ausblenden, links, oderrechts.

Einstellungen Ganzer Bildschirm

  Wechselt zwischen Vollbildmodus und Normalgröße des Fensters.

Einstellungen Signal

  Statt des üblichen Signaltons des Computers, kann ein &kde;-Klang oder ein visuelles Signal verwendet werden. Das Signal lässt sich aber auch ganz abschalten.

Einstellungen Schrift

  Schriftart und Schriftgröße

  Die Option Benutzerdefiniert erlaubt es eine beliebige Kombination von Schriftart, -größe und -stil auszuwählen.Die Datei `README.fonts` im &konsole;-Quellcodepaket enthält Tipps, bezüglich geeigneter Schriftarten.

Einstellungen Tastatur

  Wählt das gewünschte Tastaturverhalten aus.

  Diese Zuordnungen sind durch die Dateien `$KDEDIR/apps/konsole/*.keymap` definiert. Es ist möglich weitere Dateien im gleichen Verzeichnis aufzunehmen und existierende zu verändern.Die Datei `$KDEDIR/share/apps/konsole/README.KeyTab` beschreibt die Details des keytab-Formats.

Einstellungen Farbschema

  Erlaubt es die Farben von Text und Hintergrund zu definieren.

  Diese Farbschemata befinden sich in den Dateien:`$KDEDIR/share/apps/konsole/*.schema`. Die Datei `$KDEDIR/share/apps/konsole/README.Schema` beschreibt das Dateiformat. Die bestehenden Dateien können nach ihren Bedürfnissen modifiziert werden, auch neue Dateien können hinzugefügt werden. Es ist auch möglich über Einstellungen Konsole einrichten... eigene Farbschemata zu erzeugen.

Einstellungen Größe

  Stellt die Größe des Textfelds ein (in Spalten x Zeilen).

Einstellungen Verlaufsspeicher...

  Öffnet ein Dialogfenster für die Verlaufsspeicher-Einstellungen. Das Kästchen Aktivieren bestimmt ob Zeilen, die über den oberen Rand des Textfelds verschoben wurden, gespeichert werden.Die Anzahl Zeilen die gespeichert werden lässt sich direkt eingeben, oder mit Hilfe der Pfeilknöpfe in Vielfachen von 100 erhöhen bzw. verringern.Der Knopf Voreinstellungen setzt diesen Wert wieder auf 1000 Zeilen. Der Wert 0 speichert all Zeilen. Mit dem Knopf OK werden die Änderungen gespeichert, bzw. mit dem Knopf Abbrechen werden die Änderungen verworfen. Der Hilfe-Knopf öffnet diese Handbuch, an der Stelle an der sie sich jetzt befinden.

Einstellungen Einstellungen speichern

  Übernimmt die aktuellen Einstellungen, als neue Voreinstellungen.

Einstellungen Sitzungsprofil speichern...

  Speichert den aktuellen Satz von Sitzungen mit einem benutzerdefinierten Namen. Dieses Profil kann dann beim Start von &konsole; von der Kommandozeile mit `--profile` und dem Dateinamen ausgewählt werden.

Einstellungen Kurzbefehle einrichten...

  Tastenkürzel für &konsole;-Befehle einrichten.

Einstellungen &konsole; einrichten...

  Öffnet das &kcontrolcenter;-Modul, das weitere Einstellungen von &konsole; ermöglicht. Unter Anderem die Erstellung von Farbschemata und Modifizierungder verfügbaren Sitzungstypen.

#### Hilfe-Menü

F1 Hilfe Handbuch zu Konsole

  Öffnet das Inhaltsverzeichnis dieses Dokuments.

Hilfe Tipp des Tages

  Zeigt einen nützlichen Tipp über &konsole; an. Kreuzen sie das Kästchen Beim Start anzeigen an, um bei jedem Aufruf von &konsole; einen Tipp zu erhalten.

Hilfe Berichten Sie Probleme oder Wünsche...

  Berichten Sie Probleme oder Wünsche... für &konsole;.

Hilfe Über Konsole...

  Informationen über &konsole; und ihren Autor

Hilfe Über KDE...

  Informationen über das KDE Projekt

### Werkzeugleiste

Die Werkzeugleiste befindet sich am unteren Rand des &konsole;-Fensters.

Der Eintrag Werkzeugleiste anzeigen im Einstellungsmenü bestimmt ob die Werkzeugleiste sichtbar ist. Das gleiche lässt sich, durch anklicken der schraffierten Grifffläche an der Seite der Werkzeugliste, erreichen. Die Leiste enthält ein Neu-Symbol und je ein Symbol für jede Sitzung. Anklicken des Neu-Symbols erzeugt eine neue Shell-Sitzung, anklicken der anderen Symbole schaltet zu der entsprechenden Sitzung um.

Ein Doppelklick auf einen Sitzungsreiter öffnet ein Dialogfenster in dem der Sitzungsname geändert werden kann. Das gleiche lässt sich auch mit der Tastenkombination &Alt;&Strg;S erreichen.

Wenn auf einen Sitzungsreiter geklickt wird, wird die entsprechende Sitzung, zur aktuellen Sitzung.

Es ist auch möglich mit Hilfe der UmschaltLinks- und UmschaltRechts -Tasten zwischen den verfügbaren Sitzungen umzuschalten.

### Befehlszeilenparameter

Wird &konsole; von der Befehlszeile gestartet, so lässt sich das Verhalten des Programms mit verschiedenen Parametern beeinflussen.

`--help`

  Zeigt eine Liste mit den verfügbaren Parametern an

`--name` `Name`

  Bestimmt den Namen der im Titel angezeigt wird

`--ls`

  Startet das Programm mit einer Login-Shell. Die genaue Bedeutung dieses Parameters hängt von Ihrem System ab - üblicherweise wird dadurch `~/.profile` oder `~/.bash_profile` ausgeführt.

`-T` `Titel`

  Bestimmt den Titel des Fensters

`--tn` `Terminalkennung`

  Weist der Umgebungsvariable TERM den angegebenen Wert zu.Näheres dazu findet man mit ``man` `xterm`` .

`--xwin`

  Diese Option wird ignoriert

`--noclose`

  Verhindert dass &konsole; beendet wird wenn ein``exit``-Kommando im Sitzungsfenster eingegeben wird.

`--nohist`

  Verhindert dass Text der über den Bildschirmrand läuft gespeichert wird.

`--nomenubar`

  Startet &konsole; ohne Menüleiste

`--notoolbar`

  Startet &konsole; ohne Werkzeugleiste

`--noframe`

  Startet &konsole; ohne Rahmen

`--noscrollbar`

  Startet &konsole; ohne Bildlaufleiste

`--noxft`

  Startet &konsole; ohne Xft-Antialiasing.Sehr kleine Schriften können mit Antialiasing schwierig zu lesen sein.

`--vt_sz` `SSxZZ`

  Startet ein Terminalfenster mit SS Spalten und ZZ Zeilen

`--type` `Sitzungstyp`

  Startet eine Sitzung des angegebenen Typs, anstatt des voreingestellten Typs

`--keytab` `Datei`

  Startet &konsole; mit der angegebenen. Keytab-Dateiund der dadurch festgelegten Tastaturbelegung.

`--profile` `Datei`

  Startet &konsole; mit einem gespeicherten Satz von Sitzungen.

`--schema` `Datei`

  Startet &konsole; mit der angegebenen Schema-Datei und dem dort definierten Erscheinungsbild.

`--script` `Datei`

  Erlaubt die Verwendung von erweiterten DCOP-Befehlen wenn Text in eine Sitzung kopiert wird.

`--workdir` `Startordner`

  Starten mit dem Arbeitsverzeichnis `Startordner`

`-e` `Anwendung`

  `Anwendung` anstatt einer Shell aufrufen.

Beispiele:

    bash$
    konsole --vt_sz
     90x25 --nohist

Startet ein &konsole;-Fenster mit 90 Spalten und 25 Zeilen und ohne Verlaufsspeicher

&konsole; versteht auch generische &Qt; und &kde; Parameter:

`--help-qt`

  Zeigt Qt-spezifische Parameter an

`--help-kde`

  Zeigt KDE-spezifische Parameter an

`--help-all`

  Zeigt alle Parameter an

`--author`

  Zeigt den Autor bzw die Autoren an

`-v,--version`

  Anzeige der Versionsnummer

`--license`

  Anzeige der Lizenz unter der &konsole; steht

## Urheber und Copyright

&konsole; wird von Stephan Binner betreut Stephan.Binner@gmx.de

Das Programm &konsole; ist Copyright 1997-2002 Lars Doelle lars.doelle@on-line.de

Dieses Dokument wurde erstellt von Jonathan Singer singer@leeta.net

Konvertiert zu DocBook SGML von Michael McBride mmcbride@ematic.com und Lauri Watts lauri@kde.org

Deutsche Übersetzung von Stefan Doll stefan@laugenweck.de

&underFDL; &underGPL;

## &konsole; auf anderen Systemen als &Linux;

Informationen zur Kompilierung von &konsole; auf anderen Systemen (außer &Linux;) finden sich in der Datei `README.ports` im &konsole;-Quellcodepaket.Die Datei enthält eine Liste mit Experten für bestimmte Systeme (Tru64, &Solaris;, OpenBSD). Sie bittet auch um Freiwillige für andere &UNIX;-Systeme.

&documentation.index;